Bug 1565795 - Creating heat stack from UI, subnet list is not populated.
Summary: Creating heat stack from UI, subnet list is not populated.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-heat-ui
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Radomir Dopieralski
QA Contact: Ido Ovadia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-10 19:47 UTC by Jeremy
Modified: 2020-07-30 12:47 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-30 12:47:38 UTC
Target Upstream Version:


Attachments (Terms of Use)
notice nothing is under the private_subnet dropdown box. (60.47 KB, image/png)
2018-04-10 19:48 UTC, Jeremy
no flags Details

Comment 2 Jeremy 2018-04-10 19:48:48 UTC
Created attachment 1420039 [details]
notice nothing is under the private_subnet dropdown box.

Comment 5 Jeremy 2018-04-10 20:59:33 UTC
looks to be a bug/limitation of horizon

From /usr/share/openstack-dashboard/openstack_dashboard/dashboards/project/stacks/forms.py
 
 
   def _populate_custom_choices(self, custom_type):
        if custom_type == 'neutron.network':
            return instance_utils.network_field_data(self.request, True)
        if custom_type == 'nova.keypair':
            return instance_utils.keypair_field_data(self.request, True)
        if custom_type == 'glance.image':
            return image_utils.image_field_data(self.request, True)
        if custom_type == 'nova.flavor':
            return instance_utils.flavor_field_data(self.request, True)
        return []

Comment 6 Zane Bitter 2018-04-19 14:19:27 UTC
So it look like this was never implemented in Horizon.

Is it possible to type something manually in the field? If not I would call it a bug.

If it's just a case of the user having to do it manually when it could be populated automatically then this probably more of an RFE.

Comment 7 Thomas Hervé 2018-04-19 14:34:09 UTC
As a workaround, you can remove the subnet constraint from the parameter.

Looking at the horizon code, it looks like a bug, as there is no fallback when a constraint is not processed. This is opened against OSP10, so it would fall under horizon. Not sure how high the priority is though.

Comment 8 Jeremy 2018-04-19 15:24:36 UTC
When I remove the constraint from the private_subnet parameter it does not give a dropdown for it in horizon. I'm not sure that's a workaround, it just hides the problem .

Comment 9 Thomas Hervé 2018-04-19 18:35:32 UTC
Well, it's a workaround for the bug "I can't create a stack with this constraint". It doesn't fix the missing feature "The subnet list is not populated". You didn't answer Zane's question too?

Comment 10 Jeremy 2018-04-19 19:12:06 UTC
No, we can not type something manually into this field. It's an empty dropdown list. I have attached the template to this BZ, it should be pretty easy for you to re-produce. just try to launch a stack using the template in horizon.


Note You need to log in before you can comment on or make changes to this bug.